Printago API
POST
/v1/orders/{orderId}/cancel
Cancel an order
Path Parameters
orderId
required
string
The order's unique identifier
Response Schema
OrderDetailsResponse
customerrequired
object
itemsrequired
object[]
createdAtrequired
string
format: date-time
externalIdoptional
string
externalOrderIdoptional
string
externalProductIdoptional
string
externalSkuoptional
string
idrequired
string
pattern: ^[a-z0-9]{24}$
ignoredoptional
boolean
inputsoptional
Record<string, any>
orderIdrequired
string
pattern: ^[a-z0-9]{24}$
originalSkuoptional
string
Original SKU identifier sent when creating the order item (sku or externalSku), null if skuId was provided directly
processedAtoptional
string
processedStatusoptional
any
quantityrequired
number
min: 1
resolutionNoteoptional
object
Describes why SKU or variant resolution failed, null when resolved successfully
skuConfigoptional
object
skuIdrequired
string
sourceoptional
any
statusoptional
string
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time
orderrequired
object
Order entity representing a retail order
cancelledAtoptional
string
createdAtrequired
string
format: date-time
currencyoptional
string
customerIdoptional
string
deadlineoptional
string
externalIdoptional
string
externalUrloptional
string
idrequired
string
pattern: ^[a-z0-9]{24}$
integrationIdoptional
string
noteoptional
string
orderNumberrequired
string
priceoptional
number
priceBucketoptional
number
processedAtoptional
string
shippedAtoptional
string
sourceoptional
any
sourceRefoptional
string
statusrequired
any
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
syncDisabledrequired
boolean
updatedAtrequired
string
format: date-time
Example Response
201 OK — application/json
{
"order": {
"orderNumber": "string",
"syncDisabled": true,
"id": "string",
"storeId": "string",
"createdAt": "2026-08-24T03:58:55.681Z",
"updatedAt": "2026-08-24T03:58:55.681Z"
},
"items": [
{
"orderId": "string",
"quantity": 1,
"id": "string",
"storeId": "string",
"createdAt": "2026-08-24T03:58:55.681Z",
"updatedAt": "2026-08-24T03:58:55.681Z"
}
]
}